Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.36.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
182.36.0.0
Broadcast address
182.36.63.255
First usable
182.36.0.1
Last usable
182.36.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex B6240000 · Integer 3055812608 to 3055828991
Reverse DNS zones
0.36.182.in-addr.arpa
1.36.182.in-addr.arpa
2.36.182.in-addr.arpa
3.36.182.in-addr.arpa
4.36.182.in-addr.arpa
5.36.182.in-addr.arpa
6.36.182.in-addr.arpa
7.36.182.in-addr.arpa
8.36.182.in-addr.arpa
9.36.182.in-addr.arpa
10.36.182.in-addr.arpa
11.36.182.in-addr.arpa
12.36.182.in-addr.arpa
13.36.182.in-addr.arpa
14.36.182.in-addr.arpa
15.36.182.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00100100.00000000.00000000182.36.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10110110.00100100.00000000.00000000182.36.0.0
Broadcast10110110.00100100.00111111.11111111182.36.63.255
Split into smaller subnets/28

182.36.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.36.0.0/28182.36.0.1 to 182.36.0.14182.36.0.1514
2182.36.0.16/28182.36.0.17 to 182.36.0.30182.36.0.3114
3182.36.0.32/28182.36.0.33 to 182.36.0.46182.36.0.4714
4182.36.0.48/28182.36.0.49 to 182.36.0.62182.36.0.6314
5182.36.0.64/28182.36.0.65 to 182.36.0.78182.36.0.7914
6182.36.0.80/28182.36.0.81 to 182.36.0.94182.36.0.9514
7182.36.0.96/28182.36.0.97 to 182.36.0.110182.36.0.11114
8182.36.0.112/28182.36.0.113 to 182.36.0.126182.36.0.12714
9182.36.0.128/28182.36.0.129 to 182.36.0.142182.36.0.14314
10182.36.0.144/28182.36.0.145 to 182.36.0.158182.36.0.15914
11182.36.0.160/28182.36.0.161 to 182.36.0.174182.36.0.17514
12182.36.0.176/28182.36.0.177 to 182.36.0.190182.36.0.19114
13182.36.0.192/28182.36.0.193 to 182.36.0.206182.36.0.20714
14182.36.0.208/28182.36.0.209 to 182.36.0.222182.36.0.22314
15182.36.0.224/28182.36.0.225 to 182.36.0.238182.36.0.23914
16182.36.0.240/28182.36.0.241 to 182.36.0.254182.36.0.25514
17182.36.1.0/28182.36.1.1 to 182.36.1.14182.36.1.1514
18182.36.1.16/28182.36.1.17 to 182.36.1.30182.36.1.3114
19182.36.1.32/28182.36.1.33 to 182.36.1.46182.36.1.4714
20182.36.1.48/28182.36.1.49 to 182.36.1.62182.36.1.6314
21182.36.1.64/28182.36.1.65 to 182.36.1.78182.36.1.7914
22182.36.1.80/28182.36.1.81 to 182.36.1.94182.36.1.9514
23182.36.1.96/28182.36.1.97 to 182.36.1.110182.36.1.11114
24182.36.1.112/28182.36.1.113 to 182.36.1.126182.36.1.12714
25182.36.1.128/28182.36.1.129 to 182.36.1.142182.36.1.14314
26182.36.1.144/28182.36.1.145 to 182.36.1.158182.36.1.15914
27182.36.1.160/28182.36.1.161 to 182.36.1.174182.36.1.17514
28182.36.1.176/28182.36.1.177 to 182.36.1.190182.36.1.19114
29182.36.1.192/28182.36.1.193 to 182.36.1.206182.36.1.20714
30182.36.1.208/28182.36.1.209 to 182.36.1.222182.36.1.22314
31182.36.1.224/28182.36.1.225 to 182.36.1.238182.36.1.23914
32182.36.1.240/28182.36.1.241 to 182.36.1.254182.36.1.25514
33182.36.2.0/28182.36.2.1 to 182.36.2.14182.36.2.1514
34182.36.2.16/28182.36.2.17 to 182.36.2.30182.36.2.3114
35182.36.2.32/28182.36.2.33 to 182.36.2.46182.36.2.4714
36182.36.2.48/28182.36.2.49 to 182.36.2.62182.36.2.6314
37182.36.2.64/28182.36.2.65 to 182.36.2.78182.36.2.7914
38182.36.2.80/28182.36.2.81 to 182.36.2.94182.36.2.9514
39182.36.2.96/28182.36.2.97 to 182.36.2.110182.36.2.11114
40182.36.2.112/28182.36.2.113 to 182.36.2.126182.36.2.12714
41182.36.2.128/28182.36.2.129 to 182.36.2.142182.36.2.14314
42182.36.2.144/28182.36.2.145 to 182.36.2.158182.36.2.15914
43182.36.2.160/28182.36.2.161 to 182.36.2.174182.36.2.17514
44182.36.2.176/28182.36.2.177 to 182.36.2.190182.36.2.19114
45182.36.2.192/28182.36.2.193 to 182.36.2.206182.36.2.20714
46182.36.2.208/28182.36.2.209 to 182.36.2.222182.36.2.22314
47182.36.2.224/28182.36.2.225 to 182.36.2.238182.36.2.23914
48182.36.2.240/28182.36.2.241 to 182.36.2.254182.36.2.25514
49182.36.3.0/28182.36.3.1 to 182.36.3.14182.36.3.1514
50182.36.3.16/28182.36.3.17 to 182.36.3.30182.36.3.3114
51182.36.3.32/28182.36.3.33 to 182.36.3.46182.36.3.4714
52182.36.3.48/28182.36.3.49 to 182.36.3.62182.36.3.6314
53182.36.3.64/28182.36.3.65 to 182.36.3.78182.36.3.7914
54182.36.3.80/28182.36.3.81 to 182.36.3.94182.36.3.9514
55182.36.3.96/28182.36.3.97 to 182.36.3.110182.36.3.11114
56182.36.3.112/28182.36.3.113 to 182.36.3.126182.36.3.12714
57182.36.3.128/28182.36.3.129 to 182.36.3.142182.36.3.14314
58182.36.3.144/28182.36.3.145 to 182.36.3.158182.36.3.15914
59182.36.3.160/28182.36.3.161 to 182.36.3.174182.36.3.17514
60182.36.3.176/28182.36.3.177 to 182.36.3.190182.36.3.19114
61182.36.3.192/28182.36.3.193 to 182.36.3.206182.36.3.20714
62182.36.3.208/28182.36.3.209 to 182.36.3.222182.36.3.22314
63182.36.3.224/28182.36.3.225 to 182.36.3.238182.36.3.23914
64182.36.3.240/28182.36.3.241 to 182.36.3.254182.36.3.25514
65182.36.4.0/28182.36.4.1 to 182.36.4.14182.36.4.1514
66182.36.4.16/28182.36.4.17 to 182.36.4.30182.36.4.3114
67182.36.4.32/28182.36.4.33 to 182.36.4.46182.36.4.4714
68182.36.4.48/28182.36.4.49 to 182.36.4.62182.36.4.6314
69182.36.4.64/28182.36.4.65 to 182.36.4.78182.36.4.7914
70182.36.4.80/28182.36.4.81 to 182.36.4.94182.36.4.9514
71182.36.4.96/28182.36.4.97 to 182.36.4.110182.36.4.11114
72182.36.4.112/28182.36.4.113 to 182.36.4.126182.36.4.12714
73182.36.4.128/28182.36.4.129 to 182.36.4.142182.36.4.14314
74182.36.4.144/28182.36.4.145 to 182.36.4.158182.36.4.15914
75182.36.4.160/28182.36.4.161 to 182.36.4.174182.36.4.17514
76182.36.4.176/28182.36.4.177 to 182.36.4.190182.36.4.19114
77182.36.4.192/28182.36.4.193 to 182.36.4.206182.36.4.20714
78182.36.4.208/28182.36.4.209 to 182.36.4.222182.36.4.22314
79182.36.4.224/28182.36.4.225 to 182.36.4.238182.36.4.23914
80182.36.4.240/28182.36.4.241 to 182.36.4.254182.36.4.25514
81182.36.5.0/28182.36.5.1 to 182.36.5.14182.36.5.1514
82182.36.5.16/28182.36.5.17 to 182.36.5.30182.36.5.3114
83182.36.5.32/28182.36.5.33 to 182.36.5.46182.36.5.4714
84182.36.5.48/28182.36.5.49 to 182.36.5.62182.36.5.6314
85182.36.5.64/28182.36.5.65 to 182.36.5.78182.36.5.7914
86182.36.5.80/28182.36.5.81 to 182.36.5.94182.36.5.9514
87182.36.5.96/28182.36.5.97 to 182.36.5.110182.36.5.11114
88182.36.5.112/28182.36.5.113 to 182.36.5.126182.36.5.12714
89182.36.5.128/28182.36.5.129 to 182.36.5.142182.36.5.14314
90182.36.5.144/28182.36.5.145 to 182.36.5.158182.36.5.15914
91182.36.5.160/28182.36.5.161 to 182.36.5.174182.36.5.17514
92182.36.5.176/28182.36.5.177 to 182.36.5.190182.36.5.19114
93182.36.5.192/28182.36.5.193 to 182.36.5.206182.36.5.20714
94182.36.5.208/28182.36.5.209 to 182.36.5.222182.36.5.22314
95182.36.5.224/28182.36.5.225 to 182.36.5.238182.36.5.23914
96182.36.5.240/28182.36.5.241 to 182.36.5.254182.36.5.25514
97182.36.6.0/28182.36.6.1 to 182.36.6.14182.36.6.1514
98182.36.6.16/28182.36.6.17 to 182.36.6.30182.36.6.3114
99182.36.6.32/28182.36.6.33 to 182.36.6.46182.36.6.4714
100182.36.6.48/28182.36.6.49 to 182.36.6.62182.36.6.6314
101182.36.6.64/28182.36.6.65 to 182.36.6.78182.36.6.7914
102182.36.6.80/28182.36.6.81 to 182.36.6.94182.36.6.9514
103182.36.6.96/28182.36.6.97 to 182.36.6.110182.36.6.11114
104182.36.6.112/28182.36.6.113 to 182.36.6.126182.36.6.12714
105182.36.6.128/28182.36.6.129 to 182.36.6.142182.36.6.14314
106182.36.6.144/28182.36.6.145 to 182.36.6.158182.36.6.15914
107182.36.6.160/28182.36.6.161 to 182.36.6.174182.36.6.17514
108182.36.6.176/28182.36.6.177 to 182.36.6.190182.36.6.19114
109182.36.6.192/28182.36.6.193 to 182.36.6.206182.36.6.20714
110182.36.6.208/28182.36.6.209 to 182.36.6.222182.36.6.22314
111182.36.6.224/28182.36.6.225 to 182.36.6.238182.36.6.23914
112182.36.6.240/28182.36.6.241 to 182.36.6.254182.36.6.25514
113182.36.7.0/28182.36.7.1 to 182.36.7.14182.36.7.1514
114182.36.7.16/28182.36.7.17 to 182.36.7.30182.36.7.3114
115182.36.7.32/28182.36.7.33 to 182.36.7.46182.36.7.4714
116182.36.7.48/28182.36.7.49 to 182.36.7.62182.36.7.6314
117182.36.7.64/28182.36.7.65 to 182.36.7.78182.36.7.7914
118182.36.7.80/28182.36.7.81 to 182.36.7.94182.36.7.9514
119182.36.7.96/28182.36.7.97 to 182.36.7.110182.36.7.11114
120182.36.7.112/28182.36.7.113 to 182.36.7.126182.36.7.12714
121182.36.7.128/28182.36.7.129 to 182.36.7.142182.36.7.14314
122182.36.7.144/28182.36.7.145 to 182.36.7.158182.36.7.15914
123182.36.7.160/28182.36.7.161 to 182.36.7.174182.36.7.17514
124182.36.7.176/28182.36.7.177 to 182.36.7.190182.36.7.19114
125182.36.7.192/28182.36.7.193 to 182.36.7.206182.36.7.20714
126182.36.7.208/28182.36.7.209 to 182.36.7.222182.36.7.22314
127182.36.7.224/28182.36.7.225 to 182.36.7.238182.36.7.23914
128182.36.7.240/28182.36.7.241 to 182.36.7.254182.36.7.25514
129182.36.8.0/28182.36.8.1 to 182.36.8.14182.36.8.1514
130182.36.8.16/28182.36.8.17 to 182.36.8.30182.36.8.3114
131182.36.8.32/28182.36.8.33 to 182.36.8.46182.36.8.4714
132182.36.8.48/28182.36.8.49 to 182.36.8.62182.36.8.6314
133182.36.8.64/28182.36.8.65 to 182.36.8.78182.36.8.7914
134182.36.8.80/28182.36.8.81 to 182.36.8.94182.36.8.9514
135182.36.8.96/28182.36.8.97 to 182.36.8.110182.36.8.11114
136182.36.8.112/28182.36.8.113 to 182.36.8.126182.36.8.12714
137182.36.8.128/28182.36.8.129 to 182.36.8.142182.36.8.14314
138182.36.8.144/28182.36.8.145 to 182.36.8.158182.36.8.15914
139182.36.8.160/28182.36.8.161 to 182.36.8.174182.36.8.17514
140182.36.8.176/28182.36.8.177 to 182.36.8.190182.36.8.19114
141182.36.8.192/28182.36.8.193 to 182.36.8.206182.36.8.20714
142182.36.8.208/28182.36.8.209 to 182.36.8.222182.36.8.22314
143182.36.8.224/28182.36.8.225 to 182.36.8.238182.36.8.23914
144182.36.8.240/28182.36.8.241 to 182.36.8.254182.36.8.25514
145182.36.9.0/28182.36.9.1 to 182.36.9.14182.36.9.1514
146182.36.9.16/28182.36.9.17 to 182.36.9.30182.36.9.3114
147182.36.9.32/28182.36.9.33 to 182.36.9.46182.36.9.4714
148182.36.9.48/28182.36.9.49 to 182.36.9.62182.36.9.6314
149182.36.9.64/28182.36.9.65 to 182.36.9.78182.36.9.7914
150182.36.9.80/28182.36.9.81 to 182.36.9.94182.36.9.9514
151182.36.9.96/28182.36.9.97 to 182.36.9.110182.36.9.11114
152182.36.9.112/28182.36.9.113 to 182.36.9.126182.36.9.12714
153182.36.9.128/28182.36.9.129 to 182.36.9.142182.36.9.14314
154182.36.9.144/28182.36.9.145 to 182.36.9.158182.36.9.15914
155182.36.9.160/28182.36.9.161 to 182.36.9.174182.36.9.17514
156182.36.9.176/28182.36.9.177 to 182.36.9.190182.36.9.19114
157182.36.9.192/28182.36.9.193 to 182.36.9.206182.36.9.20714
158182.36.9.208/28182.36.9.209 to 182.36.9.222182.36.9.22314
159182.36.9.224/28182.36.9.225 to 182.36.9.238182.36.9.23914
160182.36.9.240/28182.36.9.241 to 182.36.9.254182.36.9.25514
161182.36.10.0/28182.36.10.1 to 182.36.10.14182.36.10.1514
162182.36.10.16/28182.36.10.17 to 182.36.10.30182.36.10.3114
163182.36.10.32/28182.36.10.33 to 182.36.10.46182.36.10.4714
164182.36.10.48/28182.36.10.49 to 182.36.10.62182.36.10.6314
165182.36.10.64/28182.36.10.65 to 182.36.10.78182.36.10.7914
166182.36.10.80/28182.36.10.81 to 182.36.10.94182.36.10.9514
167182.36.10.96/28182.36.10.97 to 182.36.10.110182.36.10.11114
168182.36.10.112/28182.36.10.113 to 182.36.10.126182.36.10.12714
169182.36.10.128/28182.36.10.129 to 182.36.10.142182.36.10.14314
170182.36.10.144/28182.36.10.145 to 182.36.10.158182.36.10.15914
171182.36.10.160/28182.36.10.161 to 182.36.10.174182.36.10.17514
172182.36.10.176/28182.36.10.177 to 182.36.10.190182.36.10.19114
173182.36.10.192/28182.36.10.193 to 182.36.10.206182.36.10.20714
174182.36.10.208/28182.36.10.209 to 182.36.10.222182.36.10.22314
175182.36.10.224/28182.36.10.225 to 182.36.10.238182.36.10.23914
176182.36.10.240/28182.36.10.241 to 182.36.10.254182.36.10.25514
177182.36.11.0/28182.36.11.1 to 182.36.11.14182.36.11.1514
178182.36.11.16/28182.36.11.17 to 182.36.11.30182.36.11.3114
179182.36.11.32/28182.36.11.33 to 182.36.11.46182.36.11.4714
180182.36.11.48/28182.36.11.49 to 182.36.11.62182.36.11.6314
181182.36.11.64/28182.36.11.65 to 182.36.11.78182.36.11.7914
182182.36.11.80/28182.36.11.81 to 182.36.11.94182.36.11.9514
183182.36.11.96/28182.36.11.97 to 182.36.11.110182.36.11.11114
184182.36.11.112/28182.36.11.113 to 182.36.11.126182.36.11.12714
185182.36.11.128/28182.36.11.129 to 182.36.11.142182.36.11.14314
186182.36.11.144/28182.36.11.145 to 182.36.11.158182.36.11.15914
187182.36.11.160/28182.36.11.161 to 182.36.11.174182.36.11.17514
188182.36.11.176/28182.36.11.177 to 182.36.11.190182.36.11.19114
189182.36.11.192/28182.36.11.193 to 182.36.11.206182.36.11.20714
190182.36.11.208/28182.36.11.209 to 182.36.11.222182.36.11.22314
191182.36.11.224/28182.36.11.225 to 182.36.11.238182.36.11.23914
192182.36.11.240/28182.36.11.241 to 182.36.11.254182.36.11.25514
193182.36.12.0/28182.36.12.1 to 182.36.12.14182.36.12.1514
194182.36.12.16/28182.36.12.17 to 182.36.12.30182.36.12.3114
195182.36.12.32/28182.36.12.33 to 182.36.12.46182.36.12.4714
196182.36.12.48/28182.36.12.49 to 182.36.12.62182.36.12.6314
197182.36.12.64/28182.36.12.65 to 182.36.12.78182.36.12.7914
198182.36.12.80/28182.36.12.81 to 182.36.12.94182.36.12.9514
199182.36.12.96/28182.36.12.97 to 182.36.12.110182.36.12.11114
200182.36.12.112/28182.36.12.113 to 182.36.12.126182.36.12.12714
201182.36.12.128/28182.36.12.129 to 182.36.12.142182.36.12.14314
202182.36.12.144/28182.36.12.145 to 182.36.12.158182.36.12.15914
203182.36.12.160/28182.36.12.161 to 182.36.12.174182.36.12.17514
204182.36.12.176/28182.36.12.177 to 182.36.12.190182.36.12.19114
205182.36.12.192/28182.36.12.193 to 182.36.12.206182.36.12.20714
206182.36.12.208/28182.36.12.209 to 182.36.12.222182.36.12.22314
207182.36.12.224/28182.36.12.225 to 182.36.12.238182.36.12.23914
208182.36.12.240/28182.36.12.241 to 182.36.12.254182.36.12.25514
209182.36.13.0/28182.36.13.1 to 182.36.13.14182.36.13.1514
210182.36.13.16/28182.36.13.17 to 182.36.13.30182.36.13.3114
211182.36.13.32/28182.36.13.33 to 182.36.13.46182.36.13.4714
212182.36.13.48/28182.36.13.49 to 182.36.13.62182.36.13.6314
213182.36.13.64/28182.36.13.65 to 182.36.13.78182.36.13.7914
214182.36.13.80/28182.36.13.81 to 182.36.13.94182.36.13.9514
215182.36.13.96/28182.36.13.97 to 182.36.13.110182.36.13.11114
216182.36.13.112/28182.36.13.113 to 182.36.13.126182.36.13.12714
217182.36.13.128/28182.36.13.129 to 182.36.13.142182.36.13.14314
218182.36.13.144/28182.36.13.145 to 182.36.13.158182.36.13.15914
219182.36.13.160/28182.36.13.161 to 182.36.13.174182.36.13.17514
220182.36.13.176/28182.36.13.177 to 182.36.13.190182.36.13.19114
221182.36.13.192/28182.36.13.193 to 182.36.13.206182.36.13.20714
222182.36.13.208/28182.36.13.209 to 182.36.13.222182.36.13.22314
223182.36.13.224/28182.36.13.225 to 182.36.13.238182.36.13.23914
224182.36.13.240/28182.36.13.241 to 182.36.13.254182.36.13.25514
225182.36.14.0/28182.36.14.1 to 182.36.14.14182.36.14.1514
226182.36.14.16/28182.36.14.17 to 182.36.14.30182.36.14.3114
227182.36.14.32/28182.36.14.33 to 182.36.14.46182.36.14.4714
228182.36.14.48/28182.36.14.49 to 182.36.14.62182.36.14.6314
229182.36.14.64/28182.36.14.65 to 182.36.14.78182.36.14.7914
230182.36.14.80/28182.36.14.81 to 182.36.14.94182.36.14.9514
231182.36.14.96/28182.36.14.97 to 182.36.14.110182.36.14.11114
232182.36.14.112/28182.36.14.113 to 182.36.14.126182.36.14.12714
233182.36.14.128/28182.36.14.129 to 182.36.14.142182.36.14.14314
234182.36.14.144/28182.36.14.145 to 182.36.14.158182.36.14.15914
235182.36.14.160/28182.36.14.161 to 182.36.14.174182.36.14.17514
236182.36.14.176/28182.36.14.177 to 182.36.14.190182.36.14.19114
237182.36.14.192/28182.36.14.193 to 182.36.14.206182.36.14.20714
238182.36.14.208/28182.36.14.209 to 182.36.14.222182.36.14.22314
239182.36.14.224/28182.36.14.225 to 182.36.14.238182.36.14.23914
240182.36.14.240/28182.36.14.241 to 182.36.14.254182.36.14.25514
241182.36.15.0/28182.36.15.1 to 182.36.15.14182.36.15.1514
242182.36.15.16/28182.36.15.17 to 182.36.15.30182.36.15.3114
243182.36.15.32/28182.36.15.33 to 182.36.15.46182.36.15.4714
244182.36.15.48/28182.36.15.49 to 182.36.15.62182.36.15.6314
245182.36.15.64/28182.36.15.65 to 182.36.15.78182.36.15.7914
246182.36.15.80/28182.36.15.81 to 182.36.15.94182.36.15.9514
247182.36.15.96/28182.36.15.97 to 182.36.15.110182.36.15.11114
248182.36.15.112/28182.36.15.113 to 182.36.15.126182.36.15.12714
249182.36.15.128/28182.36.15.129 to 182.36.15.142182.36.15.14314
250182.36.15.144/28182.36.15.145 to 182.36.15.158182.36.15.15914
251182.36.15.160/28182.36.15.161 to 182.36.15.174182.36.15.17514
252182.36.15.176/28182.36.15.177 to 182.36.15.190182.36.15.19114
253182.36.15.192/28182.36.15.193 to 182.36.15.206182.36.15.20714
254182.36.15.208/28182.36.15.209 to 182.36.15.222182.36.15.22314
255182.36.15.224/28182.36.15.225 to 182.36.15.238182.36.15.23914
256182.36.15.240/28182.36.15.241 to 182.36.15.254182.36.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses